Name:           rpmfusion-packager
Version:        0.6.2
Release:        3%{?dist}
Summary:        Tools for setting up a rpmfusion maintainer environment

License:        GPLv2+
URL:            https://github.com/rpmfusion-infra/rpmfusion-packager
Source0:        %url/archive/v%{version}/rpmfusion-packager-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  python2-devel
# Packager tools
Requires:       rpm-build
Requires:       rpmdevtools
Requires:       rpmlint
Requires:       mock
Requires:       rfpkg
Requires:       koji
Requires:       libabigail
Requires:       mock-rpmfusion-free

# Tools required by the scripts included
%if 0%{?fedora}
Requires:       python2-pycurl
%else
Requires:       python-pycurl
%endif

# See FIXME in rpmfusion-cvs
#Requires:       pyOpenSSL

BuildArch:      noarch

%description
rpmfusion-packager provides a set of utilities designed to help a RPM Fusion
packager in setting up their environment and access the RPM Fusion
infrastructure.


%package     -n rpmfusion-cert
Summary:        Fedora certificate tool and python library
Group:          Applications/Databases
%if 0%{?fedora}
Requires:       python2-pyOpenSSL
%else
Requires:       pyOpenSSL
%endif
Requires:       python2-requests
Requires:       python2-fedora
Requires:       python2-six

%description -n rpmfusion-cert
Provides rpmfusion-cert and the rpmfusion_cert python library

%prep
%setup -q
autoreconf -i


%build
%configure
%make_build

%install
%make_install INSTALL="install -p"


%files
%doc AUTHORS ChangeLog README TODO
%license COPYING
%config(noreplace) %{_sysconfdir}/koji.conf.d/rpmfusion.conf
%{_bindir}/rfabipkgdiff
%{_bindir}/rpmfusion-packager-setup
%{_bindir}/koji-rpmfusion

%files -n rpmfusion-cert
%license COPYING
%{_bindir}/rpmfusion-cert
%{python2_sitelib}/rpmfusion_cert

%changelog
* Sun Sep 02 2018 Leigh Scott <leigh123linux@googlemail.com> - 0.6.2-3
- Fix python deps for el7

* Sun Sep 02 2018 Leigh Scott <leigh123linux@googlemail.com> - 0.6.2-2
- Use versioned python deps

* Sat Feb 17 2018 Sérgio Basto <sergio@serjux.com> - 0.6.2-1
- Fix a bug with rpmfusion-cert

* Sat Feb 03 2018 Sérgio Basto <sergio@serjux.com> - 0.6.1-1
- Add rpmfusion-cert sub-package

* Tue Apr 25 2017 Sérgio Basto <sergio@serjux.com> - 0.6.0-1
- New release version 0.6.0 .
- Fix one issue with recent koji, by explictely using authtype
  ssl in the rpmfusion.conf config file.
- Remove old CVS scripts (for old rpmfusion infrastruture), cvs requirement
  from rpmfusion-packager package and clean-up cvs scripts from makefile.
- Add rfabipkgdiff script and some requirements to run it.

* Wed Nov 02 2016 Sérgio Basto <sergio@serjux.com> - 0.5.3-1
- Move fas.rpmfusion.org to admin.rpmfusion.org/accounts rfbz#4314

* Wed Sep 14 2016 Sérgio Basto <sergio@serjux.com> - 0.5.2-1
- Use koji-rpmfusion name instead rpmfusion-koji, also koji-rpmfusion is symlink
  of koji and use one koji profile instead use secondary arch script.
- Requires rfpkg instead fedpkg.

* Tue Sep 13 2016 Sérgio Basto <sergio@serjux.com> - 0.5.1-1
- 0.5.1 add rpmfusion-koji and License tag

* Sat Jun 11 2016 Nicolas Chauvet <kwizart@gmail.com> - 0.5.0-1
- Remove plague-client
- Introduce fedpkg and koji dependencies
- Add koji configuration file
- Add some hacks to build.

* Fri Sep 07 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.4-2
- Add Requires mock-rpmfusion-free

* Fri Jun 19 2009 Stewart Adam <s.adam at diffingo.com> - 0.4-1
- Update to 0.4 (configures ~/.plague-client-rpmfusion.cfg)

* Sat Apr 4 2009 Stewart Adam <s.adam at diffingo.com> - 0.3-1
- Update to 0.3 (use pycurl, display cvs output in realtime, add support for 
  anonymous CVS, add plague-client-rf wrapper)

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.2-2
- rebuild for new F11 features

* Sat Feb 28 2009 Stewart Adam <s.adam at diffingo.com> - 0.2-1
- Update to 0.2 (splits rpmfusion-cvs into rpmfusion-{free,nonfree}-cvs)

* Tue Feb 24 2009 Stewart Adam <s.adam at diffingo.com> - 0.1-1
- Initial release based on fedora-packager
